LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
KeyUsage.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::security
| Interface for authorisation and authentication.

## Constant Groups
constants | com::sun::star::security::KeyUsage

## Variables
const long | DIGITAL_SIGNATURE = 0x80
const long | NON_REPUDIATION = 0x40
const long | KEY_ENCIPHERMENT = 0x20
const long | DATA_ENCIPHERMENT = 0x10
const long | KEY_AGREEMENT = 0x08
const long | KEY_CERT_SIGN = 0x04
const long | CRL_SIGN = 0x02